ST_GMLToSQL
Prev | 8.8.3. Other Formats | Next

## Name

ST_GMLToSQL — Return a specified ST_Geometry value from GML representation. This is an alias name for ST_GeomFromGML

## Synopsis

`geometry ST_GMLToSQL(`text geomgml`)`;

`geometry ST_GMLToSQL(`text geomgml, integer srid`)`;

## Description

This method implements the SQL/MM specification. SQL-MM 3: 5.1.50 (except for curves support).

Availability: 1.5, requires libxml2 1.6+

Enhanced: 2.0.0 support for Polyhedral surfaces and TIN was introduced.

Enhanced: 2.0.0 default srid optional parameter added.

## See Also

Section 2.2.3, “Build configuration”, ST_GeomFromGML, ST_AsGML

Prev | Up | Next
ST_GeomFromTWKB | Home | ST_LineFromEncodedPolyline